EXPM1(3)

NAME
expm1, expm1f, expm1l - exponential minus 1

SYNOPSIS
#include <math.h>

double expm1(double x);
float expm1f(float x);
long double expm1l(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

expm1(), expm1f(), expm1l(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 500 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
expm1(x) returns a value equivalent to `exp (x) - 1'. It is computed in a way that is accurate even if the value of x is near zero—a case where `exp (x) - 1' would be inaccurate due to subtraction of two numbers that are nearly equal.

CONFORMING TO
BSD, C99. The float and long double variants are C99 requirements.

SEE ALSO
exp(3), log(3), log1p(3)